<?php


function theme_ejournal_page_ikaros($journal = NULL, $output = NULL) {
  drupal_set_html_head(ejournal_html_head());
  drupal_set_message('You are using custom layout ikaros with this annying message - go to Administer::Edit journal to change the layout');
  return theme('page', $output ? $output : $journal);
}


function theme_ejournal_issue_reference_ikaros($journal, $issue, $full = TRUE) {  
  
  $output = "<div class=\"issue\">";
  if ($full) {
    $output .= l((ejournal_issue_reference($issue)), ejournal_path_set(array('action' => 'show', 'jid' => $issue->jid, 'iid' => $issue->iid)));
  } else {
    $path = ejournal_path_set(array('action' => 'show', 'jid' => $issue->jid, 'iid' => $issue->iid));
    $visible = isset($issue->number) ? t('No. ') . $issue->number : $issue->custom;
    $output .= l($visible, $path);
    $output .= "<br/>[ " . format_date($issue->date_published, 'custom', 'D. M. Y') . " ]";
  }
  $output .= "</div>\n";
  return $output;
}

function theme_ejournal_archive_ikaros($journal, $issues = NULL) {
  
  if (!$issues) { // if no issues, we will display whole archive
    $issues = _ejournal_journal_get_issues($journal);
    $full_archive = 1;
  }
  $output = "<div class=\"archive\">\n";  
  if ($full_archive && $journal->vid) {
    $output .= "<div class=\"section-form\"><h3>" . t('Display articles in section') . "</h3>\n";			
    $output .= drupal_get_form('theme_ejournal_section_form', $journal);
    $output .= "</div>";
  }
  $output .= "<div>";
  
  while ($issue = db_fetch_object($issues)) {
    if ($issue->volume != $old_volume) {
      $output .= "</div><div>";
      $output .= $full_archive ? ejournal_theme('ejournal_volume_reference', $journal, $issue) : ejournal_theme('ejournal_volume_reference', $journal, $issue);
      $old_volume = $issue->volume;
    }
    $output .= ejournal_theme('ejournal_issue_reference', $journal, $issue, FALSE);
    
    if (!$full_archive) {
      $articles = _ejournal_issue_get_articles($journal, $issue->iid);
      foreach ($articles as $article) {
        $output .= l($article->title, "node/$article->nid") . "<br/>";
      }
    }
  }
  $output .= "</div>";
  

  $output .= "</div>";
  drupal_set_title(t('%journal archive', array ('%journal' => $journal->title)));
  
  return ejournal_theme('ejournal_page', $journal, $output);
}

?>
